# pion::plugins::FileService::InvalidOptionValueException Class Reference

`#include <FileService.hpp>`

Inherits pion::PionException.

List of all members.

## Detailed Description

exception thrown if an option is set to an invalid value

Definition at line 283 of file FileService.hpp.

## Public Member Functions

| InvalidOptionValueException (const std::string &option, const std::string &value)

The documentation for this class was generated from the following file:

- net/services/FileService.hpp